Account
Get startup properties
Returns everything a client needs at start up: the signed in User with the role and groups they hold in the current tenant, all
tenants they belong to, pending workspace invites, the current session and login method, tenant defaults, settings and
integrations, disabled features, system banner messages and the next login action.
Callable without being signed in, in which case only the environment level properties and the login action are filled in.
GET
/api/{tenant:minlength(2)}/v{version:apiVersion}/account/get_startup_properties
- Authorisation
- No authentication needed
Request arguments
| Name |
Type |
Source |
| debug_top_banner | Int32 | Query |
Request body example
Response
- Status
- 200 (OK)
- Type
- DTO_start_up
- Wrapper
- DTO_response_wrap
- Other statuses
- 400 (BadRequest)
Response body example
DTO_user_personal
| Name | Type | ReadOnly | Description |
| phone_number | String | | Phone number |
| phone_number_verified | Boolean | | Phone number verified |
| mfa_status | ENUM user_mfa_status | | Mfa status |
| tenant_user | DTO_tenant_user | | Tenant user |
| created_by | DTO_reference_user | ReadOnly | Created by |
| last_updated_by | DTO_reference_user | ReadOnly | Last updated by |
| language | DTO_translation_language | ReadOnly | Language |
| id | Int32 | ReadOnly | Id |
| email | String | | Email |
| given_name | String | | Given name |
| family_name | String | | Family name |
| full_name | String | ReadOnly | Name |
| profile_pic | String | ReadOnly | Profile pic |
| created | DateTime | ReadOnly | Created |
| last_updated | DateTime | ReadOnly | Last updated |
| display_absolute_time | Boolean | ReadOnly | Display absolute time |
DTO_reference_is_admin
| Name | Type | ReadOnly | Description |
| is_admin | Boolean | ReadOnly | Is admin |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
DTO_notification_channel
| Name | Type | ReadOnly | Description |
| email | Boolean | | Email |
| inapp | Boolean | | Inapp |
DTO_reference_user
| Name | Type | ReadOnly | Description |
| profile_pic | String | ReadOnly | Profile pic |
| email | String | ReadOnly | Email |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
DTO_translation_language
| Name | Type | ReadOnly | Description |
| id | Int32 | ReadOnly | Leave empty on input |
| name | String | | Name |
| code | String | | Code |
| icon | String | ReadOnly | Icon |
| icon_sqare | String | ReadOnly | Icon sqare |
DTO_tenant
| Name | Type | ReadOnly | Description |
| language | DTO_translation_language | | Language |
| mailboxes | DTO_reference_mailbox[] | | Mailboxes |
| id | Int32 | ReadOnly | Id |
| friendly_name | String | | Friendly name |
| unique_name | String | | Unique name |
| fqdn | String | ReadOnly | Fqdn |
| created | DateTime | | Created |
| user_count | Int32 | ReadOnly | User count |
| logo | String | ReadOnly | Logo |
| plan | ENUM tenant_plan | ReadOnly | Plan |
| expired_trial | Boolean | ReadOnly | Expired trial |
| time_zone | String | | Time zone |
DTO_reference_mailbox
| Name | Type | ReadOnly | Description |
| type | ENUM mailbox_type | ReadOnly | Type |
| status | ENUM mailbox_status | ReadOnly | Status |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
DTO_user_invite_tenant
| Name | Type | ReadOnly | Description |
| tenant | DTO_tenant | | Tenant |
| groups | DTO_reference[] | | Groups |
| id | Int32 | ReadOnly | Id |
| email | String | | Email |
| tenant_role | ENUM tenant_user_role | | Tenant role |
| expires_date | DateTime | ReadOnly | Expires date |
| expires_relative | String | ReadOnly | Expires relative |
DTO_reference
| Name | Type | ReadOnly | Description |
| id | Int32 | | The id of the reference |
| label | Object | ReadOnly | Name/Label from referenced object. |
DTO_user_auth_method
| Name | Type | ReadOnly | Description |
| id | Int32 | ReadOnly | Id |
| auth_idp | ENUM auth_idp | | Auth idp |
| connected_idps | auth_idp[] | | Connected idps |
| status | ENUM auth_method_status | | Status |
| email | String | | Email |
| created | DateTime | | Created |
DTO_system_message
| Name | Type | ReadOnly | Description |
| icon | DTO_icon | | Icon |
| title | String | | Title |
| message_html | String | | Message html |
| cta_text | String | | Cta text |
| cta_url | String | | Cta url |
| color_palette | String | | Color palette |
| dismissable | Boolean | | Dismissable |
DTO_icon
| Name | Type | ReadOnly | Description |
| id | Int32 | | Id |
| name | String | | Name |
| file | String | | File |
| tags | String[] | | Tags |
| categories | String[] | | Categories |
DTO_user_session
| Name | Type | ReadOnly | Description |
| id | String | | Id |
| auth_idp | ENUM auth_idp | | Auth idp |
| session_type | ENUM user_session_type | | Session type |
| user_agent | String | | User agent |
| browser | String | | Browser |
| ip_address | String | | Ip address |
| ip_country | String | | Ip country |
| ip_country_info | DTO_country | | Ip country info |
| ip_region | String | | Ip region |
| ip_city | String | | Ip city |
| label | String | | Label |
| created | DateTime | | Created |
| last_active | DateTime | | Last active |
DTO_country
| Name | Type | ReadOnly | Description |
| id | Int32 | | Id |
| name | String | | Name |
| code2 | String | | Code2 |
| code3 | String | | Code3 |
| timezone | String | | Timezone |
| dialcode | Int32 | | Dialcode |
| is_eu_country | Boolean | | Is eu country |
| currency_codes | String[] | | Currency codes |
| Name | Type | ReadOnly | Description |
| section | String | | Section |
| key | String | | Key |
| label | String | | Label |
| url | String | | Url |
DTO_disabled_features
| Name | Type | ReadOnly | Description |
| mailbox_types | mailbox_type[] | | Mailbox types |
| ui_features | ui_features[] | | Ui features |
DTO_tenant_integrations
| Name | Type | ReadOnly | Description |
| shopify | Boolean | | Shopify |
ENUM user_mfa_status
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | NOT_SET | NOT_SET |
| 2 | ENABLED | ENABLED |
| 3 | DISABLED | DISABLED |
ENUM tenant_user_role
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | OWNER | Owner |
| 2 | ADMIN | Admin |
| 3 | USER | User |
ENUM tenant_user_status
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | ACTIVE | ACTIVE |
| 2 | DEACTIVE | DEACTIVE |
ENUM tenant_plan
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | FREE | FREE |
| 2 | SMALL | SMALL |
| 3 | MEDIUM | MEDIUM |
| 4 | LARGE | LARGE |
ENUM mailbox_type
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | PLATFORM_PROVIDED | Built in @tenant.deskhero.com |
| 2 | DNS | DNS setup / Custom Email domain |
| 3 | MICROSOFT | Auth2 Microsoft365 provided |
| 4 | GOOGLE | Auth2 Google provided |
ENUM mailbox_status
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | ACTIVE | ACTIVE |
| 2 | ACTIVATION_IN_PROGRESS | ACTIVATION_IN_PROGRESS |
| 101 | REQUIRE_REAUTH | REQUIRE_REAUTH |
| 102 | REQUIRE_FORWARD | REQUIRE_FORWARD |
ENUM auth_idp
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | COGNITO_INTERNAL | COGNITO_INTERNAL |
| 2 | GOOGLE | GOOGLE |
| 3 | FACEBOOK | FACEBOOK |
| 4 | EXTERNAL_AD | EXTERNAL_AD |
| 5 | MICROSOFT | MICROSOFT |
ENUM auth_method_status
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | ACTIVE | ACTIVE |
| 2 | DISABLED | DISABLED |
| 3 | VERIFICATION_IN_PROGRESS | VERIFICATION_IN_PROGRESS |
| 4 | VERIFICATION_DENIED | VERIFICATION_DENIED |
ENUM user_session_type
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | COOKIE | COOKIE |
| 2 | JWT_TOKEN | JWT_TOKEN |
| -1 | ALL | ALL |
ENUM logged_in_response_action
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | REDIRECT | REDIRECT |
| 2 | SELECT_TENANT | SELECT_TENANT |
| 3 | CREATE_TENANT | CREATE_TENANT |
| 4 | CONTINUE_TO_APP | CONTINUE_TO_APP |
| 5 | LOGIN | LOGIN |
| 6 | VERIFY_EMAIL | VERIFY_EMAIL |
Generated Aug 4, 2026 18:37